<?php

namespace App\Entity;

use App\Repository\CustomerTrackingRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: CustomerTrackingRepository::class)]
class CustomerTracking
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'customerTrackings')]
    private ?Customer $customer = null;

    #[ORM\Column(length: 255)]
    private ?string $trackId = null;

    #[ORM\Column(nullable: true)]
    private ?\DateTime $createAT = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCustomer(): ?Customer
    {
        return $this->customer;
    }

    public function setCustomer(?Customer $customer): static
    {
        $this->customer = $customer;

        return $this;
    }

    public function getTrackId(): ?string
    {
        return $this->trackId;
    }

    public function setTrackId(string $trackId): static
    {
        $this->trackId = $trackId;

        return $this;
    }

    public function getCreateAT(): ?\DateTime
    {
        return $this->createAT;
    }

    public function setCreateAT(?\DateTime $createAT): static
    {
        $this->createAT = $createAT;

        return $this;
    }
}
